ClarisDrawGraphInternal::ZoneShape Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
ClarisDrawGraphInternal::ZoneShape Struct Referencefinal

Internal: small class to store a basic graphic zone of a ClarisDrawGraph. More...

Inheritance diagram for ClarisDrawGraphInternal::ZoneShape:

## Public Member Functions
| ZoneShape (Zone const &z, Type type)
| constructor More...
| ~ZoneShape () final
| destructor More...
void | print (std::ostream &o) const final
| print the data More...
Type | getType () const final
| return the main type More...
Type | getSubType () const final
| return the sub type More...
int | getNumData () const final
| return the number of data More...
ClarisWksStruct::DSET::Child | getChild () const final
| return a child corresponding to this zone More...
Public Member Functions inherited from ClarisDrawGraphInternal::Zone
| Zone ()
| constructor More...
| Zone (Zone const &)=default
virtual | ~Zone ()
| destructor More...
MWAWBox2f | getBdBox () const
| return the zone bdbox More...
virtual int | getZoneId () const
| returns the id of the reference zone More...

## Public Attributes
Type | m_type
| the sub type More...
MWAWGraphicShape | m_shape
| the shape More...
bool | m_autosize
| true if autosize is set More...
Public Attributes inherited from ClarisDrawGraphInternal::Zone
int | m_zoneType
| the zone type More...
int | m_flag
| the zone main flag More...
int | m_page
| the page (checkme: or frame linked ) More...
MWAWBox2f | m_box
| the bdbox More...
int | m_ordering
| the ordering More...
Style | m_style
| the style More...

## Additional Inherited Members
Public Types inherited from ClarisDrawGraphInternal::Zone
enum | Type { T_Zone, T_Pict, T_Shape, T_Unknown, T_Line, T_Rect, T_RectOval, T_Oval, T_Arc, T_Poly, T_Connector }
| the list of types More...

## Detailed Description

Internal: small class to store a basic graphic zone of a ClarisDrawGraph.

## Constructor & Destructor Documentation

## ◆ ZoneShape()

ClarisDrawGraphInternal::ZoneShape::ZoneShape | ( | Zone const & | z,
|  | Type | type
| ) |  |
| inline

constructor

## ◆ ~ZoneShape()

ClarisDrawGraphInternal::ZoneShape::~ZoneShape | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getChild()

ClarisWksStruct::DSET::Child ClarisDrawGraphInternal::ZoneShape::getChild | ( |  | ) | const
| inlinefinalvirtual

return a child corresponding to this zone

Reimplemented from ClarisDrawGraphInternal::Zone.

## ◆ getNumData()

int ClarisDrawGraphInternal::ZoneShape::getNumData | ( |  | ) | const
| inlinefinalvirtual

return the number of data

Reimplemented from ClarisDrawGraphInternal::Zone.

## ◆ getSubType()

Type ClarisDrawGraphInternal::ZoneShape::getSubType | ( |  | ) | const
| inlinefinalvirtual

return the sub type

Reimplemented from ClarisDrawGraphInternal::Zone.

Referenced by ClarisDrawGraph::readShape().

## ◆ getType()

Type ClarisDrawGraphInternal::ZoneShape::getType | ( |  | ) | const
| inlinefinalvirtual

return the main type

Reimplemented from ClarisDrawGraphInternal::Zone.

## ◆ print()

void ClarisDrawGraphInternal::ZoneShape::print | ( | std::ostream & | o | ) | const
| inlinefinalvirtual

print the data

Reimplemented from ClarisDrawGraphInternal::Zone.

## Member Data Documentation

## ◆ m_autosize

bool ClarisDrawGraphInternal::ZoneShape::m_autosize

true if autosize is set

Referenced by print(), ClarisDrawGraph::readShape(), and ClarisDrawGraph::sendShape().

## ◆ m_shape

MWAWGraphicShape ClarisDrawGraphInternal::ZoneShape::m_shape

the shape

Referenced by print(), ClarisDrawGraph::readShape(), and ClarisDrawGraph::sendShape().

## ◆ m_type

Type ClarisDrawGraphInternal::ZoneShape::m_type

the sub type

Referenced by getNumData(), and getSubType().

The documentation for this struct was generated from the following file:

- ClarisDrawGraph.cxx